<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: Data Fields - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.xhtml"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="inherits.xhtml"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.xhtml"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.xhtml"><span>All</span></a></li>
      <li class="current"><a href="functions_func.xhtml"><span>Functions</span></a></li>
      <li><a href="functions_vars.xhtml"><span>Variables</span></a></li>
      <li><a href="functions_enum.xhtml"><span>Enumerations</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions_func.xhtml#index_a"><span>a</span></a></li>
      <li><a href="functions_func_b.xhtml#index_b"><span>b</span></a></li>
      <li><a href="functions_func_c.xhtml#index_c"><span>c</span></a></li>
      <li><a href="functions_func_d.xhtml#index_d"><span>d</span></a></li>
      <li><a href="functions_func_e.xhtml#index_e"><span>e</span></a></li>
      <li><a href="functions_func_f.xhtml#index_f"><span>f</span></a></li>
      <li><a href="functions_func_g.xhtml#index_g"><span>g</span></a></li>
      <li><a href="functions_func_h.xhtml#index_h"><span>h</span></a></li>
      <li><a href="functions_func_i.xhtml#index_i"><span>i</span></a></li>
      <li><a href="functions_func_k.xhtml#index_k"><span>k</span></a></li>
      <li><a href="functions_func_l.xhtml#index_l"><span>l</span></a></li>
      <li><a href="functions_func_m.xhtml#index_m"><span>m</span></a></li>
      <li><a href="functions_func_n.xhtml#index_n"><span>n</span></a></li>
      <li><a href="functions_func_o.xhtml#index_o"><span>o</span></a></li>
      <li><a href="functions_func_p.xhtml#index_p"><span>p</span></a></li>
      <li><a href="functions_func_q.xhtml#index_q"><span>q</span></a></li>
      <li><a href="functions_func_r.xhtml#index_r"><span>r</span></a></li>
      <li><a href="functions_func_s.xhtml#index_s"><span>s</span></a></li>
      <li><a href="functions_func_t.xhtml#index_t"><span>t</span></a></li>
      <li class="current"><a href="functions_func_u.xhtml#index_u"><span>u</span></a></li>
      <li><a href="functions_func_v.xhtml#index_v"><span>v</span></a></li>
      <li><a href="functions_func_w.xhtml#index_w"><span>w</span></a></li>
      <li><a href="functions_func_x.xhtml#index_x"><span>x</span></a></li>
      <li><a href="functions_func_y.xhtml#index_y"><span>y</span></a></li>
      <li><a href="functions_func_z.xhtml#index_z"><span>z</span></a></li>
      <li><a href="functions_func_0x7e.xhtml#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_func_u.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_u"></a>- u -</h3><ul>
<li>uniform()
: <a class="el" href="structarm__compute_1_1_border_size.xhtml#a3057c6687da7d7d5674dcc49eba5736c">BorderSize</a>
</li>
<li>unmap()
: <a class="el" href="classarm__compute_1_1_c_l_array.xhtml#a1ffeb3b5abb3d61f62b58a391816201c">CLArray&lt; T &gt;</a>
, <a class="el" href="classarm__compute_1_1_c_l_distribution1_d.xhtml#a1ffeb3b5abb3d61f62b58a391816201c">CLDistribution1D</a>
, <a class="el" href="classarm__compute_1_1_c_l_lut.xhtml#a1ffeb3b5abb3d61f62b58a391816201c">CLLut</a>
, <a class="el" href="classarm__compute_1_1_c_l_lut_allocator.xhtml#a34b854d640d247bd7422f60ca2f3a05c">CLLutAllocator</a>
, <a class="el" href="classarm__compute_1_1_c_l_tensor.xhtml#a1ffeb3b5abb3d61f62b58a391816201c">CLTensor</a>
, <a class="el" href="classarm__compute_1_1_c_l_tensor_allocator.xhtml#a34b854d640d247bd7422f60ca2f3a05c">CLTensorAllocator</a>
, <a class="el" href="classarm__compute_1_1_i_c_l_array.xhtml#af974a2360069c2ef8df4496d00e4f6cc">ICLArray&lt; T &gt;</a>
, <a class="el" href="classarm__compute_1_1_i_c_l_distribution1_d.xhtml#af974a2360069c2ef8df4496d00e4f6cc">ICLDistribution1D</a>
, <a class="el" href="classarm__compute_1_1_i_c_l_lut.xhtml#af974a2360069c2ef8df4496d00e4f6cc">ICLLut</a>
, <a class="el" href="classarm__compute_1_1_i_c_l_tensor.xhtml#af974a2360069c2ef8df4496d00e4f6cc">ICLTensor</a>
</li>
<li>update_padding_if_needed()
: <a class="el" href="classarm__compute_1_1_access_window_auto_padding.xhtml#ab4b8f5a316fa4d33a1c600a3f27e590f">AccessWindowAutoPadding</a>
, <a class="el" href="classarm__compute_1_1_access_window_rectangle.xhtml#ab4b8f5a316fa4d33a1c600a3f27e590f">AccessWindowRectangle</a>
, <a class="el" href="classarm__compute_1_1_access_window_static.xhtml#ab4b8f5a316fa4d33a1c600a3f27e590f">AccessWindowStatic</a>
, <a class="el" href="classarm__compute_1_1_access_window_transpose.xhtml#ab4b8f5a316fa4d33a1c600a3f27e590f">AccessWindowTranspose</a>
, <a class="el" href="classarm__compute_1_1_i_access_window.xhtml#abd645498a7cbaebd88b257083e459dd6">IAccessWindow</a>
</li>
<li>update_window_if_needed()
: <a class="el" href="classarm__compute_1_1_access_window_auto_padding.xhtml#a7ad9fe991410dc3550f6c4fd6e87a708">AccessWindowAutoPadding</a>
, <a class="el" href="classarm__compute_1_1_access_window_rectangle.xhtml#a7ad9fe991410dc3550f6c4fd6e87a708">AccessWindowRectangle</a>
, <a class="el" href="classarm__compute_1_1_access_window_static.xhtml#a7ad9fe991410dc3550f6c4fd6e87a708">AccessWindowStatic</a>
, <a class="el" href="classarm__compute_1_1_access_window_transpose.xhtml#a7ad9fe991410dc3550f6c4fd6e87a708">AccessWindowTranspose</a>
, <a class="el" href="classarm__compute_1_1_i_access_window.xhtml#a5b6940395e0168f3f00da892ded537aa">IAccessWindow</a>
</li>
<li>use_tensor_dimensions()
: <a class="el" href="classarm__compute_1_1_window.xhtml#a029cf0d4f09af0f9f63b86af4f8387df">Window</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:11 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
